package com.pcloud.book.es.biz.impl;

import com.pcloud.book.es.biz.ESNewsBiz;
import com.pcloud.book.es.entity.ESNews;
import com.pcloud.book.push.dao.NewsDao;
import com.pcloud.book.push.entity.News;
import com.pcloud.common.core.aspect.ParamLog;
import com.pcloud.common.exceptions.BizException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/13 16:36
 **/
@Component("esNewsBiz")
public class ESNewsBizImpl implements ESNewsBiz {

    private static final Logger LOGGER = LoggerFactory.getLogger(ESNewsBizImpl.class);

    @Autowired
    private NewsDao newsDao;


    @ParamLog("导入全部")
    @Override
    public void addAllNewsToES() {
        throw new BizException("已下线");
    }

    @ParamLog("新增新闻")
    @Override
    public void addNews(News news) {
        throw new BizException("已下线");
    }

    @ParamLog("查询新闻")
    @Override
    public List<ESNews> getNews(String title, List<Long> notInIds, Integer top) {
        throw new BizException("已下线");
    }
}
